package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

public class ExternalUserDTO implements Serializable{
	
	private String wxEnterpriseId;
	
	private String name;
	
	private String unionId;
	
	private String avatar;
	
	private String addCreateTime;
	
	private String wxUserId;
	
	private String externalUserId;
	
	private String memberId;
	
	private String storeId;
	
	private String enterpriseId;
	
	private String clerkId;
	
	private String staffId;

	private String selfExternalUserId;
    /**
     * 好友类型
     * 1表示该外部联系人是微信用户，2表示该外部联系人是企业微信用户
     */
    private Integer friendType;

    private String state;

	private Integer addWay ;

	public Integer getAddWay() {
		return addWay;
	}

	public void setAddWay(Integer addWay) {
		this.addWay = addWay;
	}

	public Integer getFriendType() {
        return friendType;
    }

    public void setFriendType(Integer friendType) {
        this.friendType = friendType;
    }

	public String getSelfExternalUserId() {
		return selfExternalUserId;
	}

	public void setSelfExternalUserId(String selfExternalUserId) {
		this.selfExternalUserId = selfExternalUserId;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getUnionId() {
		return unionId;
	}

	public void setUnionId(String unionId) {
		this.unionId = unionId;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public String getAddCreateTime() {
		return addCreateTime;
	}

	public void setAddCreateTime(String addCreateTime) {
		this.addCreateTime = addCreateTime;
	}

	public String getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(String wxUserId) {
		this.wxUserId = wxUserId;
	}

	public String getExternalUserId() {
		return externalUserId;
	}

	public void setExternalUserId(String externalUserId) {
		this.externalUserId = externalUserId;
	}

	public String getMemberId() {
		return memberId;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
}
